﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __EmailDraft = LightSwitchApplication.EmailDraft

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class EmailDraft
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __EmailDraft, __EmailDraft.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the EmailDraft entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __EmailDraft))
            MyBase.New(entitySet)
            
            __EmailDraft.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailDraft_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub EmailDraft_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __EmailDraft.DetailsClass.GetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __EmailDraft.DetailsClass.SetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __EmailDraft.DetailsClass.GetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __EmailDraft.DetailsClass.SetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property DraftName As String
            Get
                Return __EmailDraft.DetailsClass.GetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.DraftName)
            End Get
            Set
                __EmailDraft.DetailsClass.SetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.DraftName, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DraftName_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DraftName_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DraftName_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Message As String
            Get
                Return __EmailDraft.DetailsClass.GetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.Message)
            End Get
            Set
                __EmailDraft.DetailsClass.SetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.Message, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Message_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Attachment As Byte()
            Get
                Return __EmailDraft.DetailsClass.GetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.Attachment)
            End Get
            Set
                __EmailDraft.DetailsClass.SetValue(Me, __EmailDraft.DetailsClass.PropertySetProperties.Attachment, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Attachment_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Attachment_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Attachment_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __EmailDraft, _
                __EmailDraft.DetailsClass, _
                __EmailDraft.DetailsClass.IImplementation, _
                __EmailDraft.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __EmailDraft, __EmailDraft.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __EmailDraft, __EmailDraft.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __EmailDraft.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __EmailDraftEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __EmailDraft, __EmailDraft.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __EmailDraft, __EmailDraft.DetailsClass).Entry( _
                    AddressOf __EmailDraft.DetailsClass.__EmailDraft_CreateNew, _
                    AddressOf __EmailDraft.DetailsClass.__EmailDraft_Created, _
                    AddressOf __EmailDraft.DetailsClass.__EmailDraft_AllowSaveWithErrors)
            Private Shared Function __EmailDraft_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __EmailDraft)) As __EmailDraft
                Return New __EmailDraft(es)
            End Function
            Private Shared Sub __EmailDraft_Created(e As __EmailDraft)
                e.EmailDraft_Created()
            End Sub
            Private Shared Function __EmailDraft_AllowSaveWithErrors(e As __EmailDraft) As Boolean
                Dim result As Boolean = False
                e.EmailDraft_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __EmailDraft, __EmailDraft.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __EmailDraft, __EmailDraft.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __EmailDraft.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __EmailDraft, __EmailDraft.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailDraft.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailDraft.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property DraftName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailDraft.DetailsClass.PropertySetProperties.DraftName),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailDraft.DetailsClass.PropertySetProperties.Message),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property Attachment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__EmailDraft.DetailsClass.PropertySetProperties.Attachment),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property DraftName As String
                Shadows Property Message As String
                Shadows Property Attachment As Byte()
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailDraft.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Integer).Data), d As __EmailDraft.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __EmailDraft) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __EmailDraft, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __EmailDraft.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __EmailDraft.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __EmailDraft)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailDraft.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()).Data), d As __EmailDraft.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __EmailDraft) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __EmailDraft, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __EmailDraft.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __EmailDraft.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __EmailDraft)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly DraftName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String).Entry( _
                        "DraftName", _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._DraftName_Stub, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._DraftName_ComputeIsReadOnly, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._DraftName_Validate, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._DraftName_GetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._DraftName_SetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._DraftName_OnValueChanged)
                Private Shared Sub _DraftName_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailDraft.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String).Data), d As __EmailDraft.DetailsClass, sf As Object)
                    c(d, d._DraftName, sf)
                End Sub
                Private Shared Function _DraftName_ComputeIsReadOnly(e As __EmailDraft) As Boolean
                    Dim result As Boolean = False
                    e.DraftName_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _DraftName_Validate(e As __EmailDraft, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.DraftName_Validate(r)
                End Sub
                Private Shared Function _DraftName_GetImplementationValue(d As __EmailDraft.DetailsClass) As String
                    Return d.ImplementationEntity.DraftName
                End Function
                Private Shared Sub _DraftName_SetImplementationValue(d As __EmailDraft.DetailsClass, v As String)
                    d.ImplementationEntity.DraftName = v
                End Sub
                Private Shared Sub _DraftName_OnValueChanged(e As __EmailDraft)
                    e.DraftName_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String).Entry( _
                        "Message", _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Message_Stub, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Message_ComputeIsReadOnly, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Message_Validate, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Message_GetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Message_SetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Message_OnValueChanged)
                Private Shared Sub _Message_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailDraft.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String).Data), d As __EmailDraft.DetailsClass, sf As Object)
                    c(d, d._Message, sf)
                End Sub
                Private Shared Function _Message_ComputeIsReadOnly(e As __EmailDraft) As Boolean
                    Dim result As Boolean = False
                    e.Message_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Message_Validate(e As __EmailDraft, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Message_Validate(r)
                End Sub
                Private Shared Function _Message_GetImplementationValue(d As __EmailDraft.DetailsClass) As String
                    Return d.ImplementationEntity.Message
                End Function
                Private Shared Sub _Message_SetImplementationValue(d As __EmailDraft.DetailsClass, v As String)
                    d.ImplementationEntity.Message = v
                End Sub
                Private Shared Sub _Message_OnValueChanged(e As __EmailDraft)
                    e.Message_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Attachment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()).Entry( _
                        "Attachment", _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Attachment_Stub, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Attachment_ComputeIsReadOnly, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Attachment_Validate, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Attachment_GetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Attachment_SetImplementationValue, _
                        AddressOf __EmailDraft.DetailsClass.PropertySetProperties._Attachment_OnValueChanged)
                Private Shared Sub _Attachment_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __EmailDraft.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()).Data), d As __EmailDraft.DetailsClass, sf As Object)
                    c(d, d._Attachment, sf)
                End Sub
                Private Shared Function _Attachment_ComputeIsReadOnly(e As __EmailDraft) As Boolean
                    Dim result As Boolean = False
                    e.Attachment_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Attachment_Validate(e As __EmailDraft, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Attachment_Validate(r)
                End Sub
                Private Shared Function _Attachment_GetImplementationValue(d As __EmailDraft.DetailsClass) As Byte()
                    Return d.ImplementationEntity.Attachment
                End Function
                Private Shared Sub _Attachment_SetImplementationValue(d As __EmailDraft.DetailsClass, v As Byte())
                    d.ImplementationEntity.Attachment = v
                End Sub
                Private Shared Sub _Attachment_OnValueChanged(e As __EmailDraft)
                    e.Attachment_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _DraftName As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Message As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Attachment As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __EmailDraft, __EmailDraft.DetailsClass, Byte()).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
